"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.build_sitemap = void 0;
const xmlbuilder2_1 = require("xmlbuilder2");
function build_sitemap(state) {
    const now = state.build_time.iso;
    const doc = (0, xmlbuilder2_1.create)({ version: '1.0', encoding: 'UTF-8' });
    const urlset = doc.ele('urlset', {
        'xmlns': 'http://www.sitemaps.org/schemas/sitemap/0.9',
        'xmlns:xsi': 'http://www.w3.org/2001/XMLSchema-instance',
        'xsi:schemaLocation': 'http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd'
    });
}
exports.build_sitemap = build_sitemap;
function url_elem(urlset, loc, lastmod, change_freq, priority) {
    const url = urlset.ele('url');
    url.ele('loc').txt(loc);
    url.ele('lastmod').txt(lastmod);
    if (change_freq) {
        url.ele('changefreq').txt(change_freq);
    }
    if (priority != null) {
        url.ele('priority').txt(priority.toFixed(1));
    }
    return url;
}
//# sourceMappingURL=sitemap.js.map